=== modified file 'configure.ac'
--- configure.ac	2013-08-06 18:05:19 +0000
+++ configure.ac	2013-09-25 20:06:30 +0000
@@ -16,9 +16,12 @@
 
 GLIB_REQUIRED_VERSION=2.36
 GIO_REQUIRED_VERSION=2.36
+URL_DISPATCHER_1_REQUIRED_VERSION=1
 
 PKG_CHECK_MODULES(SERVICE_DEPS, [glib-2.0 >= $GLIB_REQUIRED_VERSION
-                                 gio-unix-2.0 >= $GIO_REQUIRED_VERSION])
+                                 gio-unix-2.0 >= $GIO_REQUIRED_VERSION
+                                 url-dispatcher-1 >= $URL_DISPATCHER_1_REQUIRED_VERSION])
+
 
 dnl ##############################
 dnl # Custom Junk

=== modified file 'debian/control'
--- debian/control	2013-08-08 19:23:08 +0000
+++ debian/control	2013-09-25 20:06:30 +0000
@@ -7,6 +7,7 @@
                dh-translations,
                gnome-common,
                libglib2.0-dev,
+               liburl-dispatcher1-dev,
                valac (>=0.18),
 Standards-Version: 3.9.4
 Homepage: https://launchpad.net/indicator-bluetooth

=== modified file 'src/Makefile.am'
--- src/Makefile.am	2013-08-06 00:56:44 +0000
+++ src/Makefile.am	2013-09-25 20:06:30 +0000
@@ -18,6 +18,7 @@
 	--vapidir=./ \
 	--pkg config \
 	--pkg rfkill \
+	--pkg url-dispatcher \
 	--pkg posix \
 	--pkg glib-2.0 \
 	--pkg gio-2.0

=== modified file 'src/phone.vala'
--- src/phone.vala	2013-08-22 16:25:21 +0000
+++ src/phone.vala	2013-09-25 20:06:30 +0000
@@ -61,7 +61,7 @@
 
   void show_settings (string panel)
   {
-    spawn_command_line_async ("system-settings " + panel);
+    UrlDispatch.send ("settings://system/bluetooth");
   }
 
   Action create_settings_action ()

=== added file 'vapi/url-dispatcher.vapi'
--- vapi/url-dispatcher.vapi	1970-01-01 00:00:00 +0000
+++ vapi/url-dispatcher.vapi	2013-09-25 20:06:30 +0000
@@ -0,0 +1,9 @@
+[CCode (cprefix = "", lower_case_cprefix = "", cheader_filename = "liburl-dispatcher-1/url-dispatcher.h")]
+
+namespace UrlDispatch
+{
+  public delegate void DispatchCallback ();
+
+  [CCode (cname = "url_dispatch_send")]
+  public static void send (string url, DispatchCallback? func = null);
+}

